Bug 174507 - [patch] [update] update net-p2p/transmission-cli & slave ports to 2.75
Summary: [patch] [update] update net-p2p/transmission-cli & slave ports to 2.75
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-17 09:20 UTC by vsjcfm
Modified: 2012-12-31 12:10 UTC (History)
0 users

See Also:


Attachments
patch.txt (2.94 KB, text/plain)
2012-12-17 09:20 UTC, vsjcfm
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vsjcfm 2012-12-17 09:20:00 UTC
There is a new version.

How-To-Repeat: Patch attached with submission follows.
Comment 1 Edwin Groothuis freebsd_committer 2012-12-17 09:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2012-12-31 12:00:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2012-12-31 12:01:21 UTC
Author: crees
Date: Mon Dec 31 12:00:21 2012
New Revision: 309726
URL: http://svnweb.freebsd.org/changeset/ports/309726

Log:
  Update to 2.75
  
  PR:		ports/174507 (based on)
  Submitted by:	Sayetsky Anton <vsjcfm@gmail.com>

Modified:
  head/net-p2p/transmission-cli/Makefile
  head/net-p2p/transmission-cli/distinfo
  head/net-p2p/transmission-cli/files/patch-fix_without_ipv6
  head/net-p2p/transmission-daemon/Makefile
  head/net-p2p/transmission-gtk2/Makefile
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/transmission/Makefile
  head/www/transmission-web/Makefile

Modified: head/net-p2p/transmission-cli/Makefile
==============================================================================
--- head/net-p2p/transmission-cli/Makefile	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission-cli/Makefile	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	transmission
-# Date created:				08 October 2005
-# Whom:					Mezz <mezz@FreeBSD.org>
-#
+# Created by: Mezz <mezz@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	transmission
-PORTVERSION=	2.73
+PORTVERSION=	2.75
 PORTREVISION?=	0
 CATEGORIES?=	net-p2p
 #MASTER_SITES=	http://download.m0k.org/${PORTNAME}/files/

Modified: head/net-p2p/transmission-cli/distinfo
==============================================================================
--- head/net-p2p/transmission-cli/distinfo	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission-cli/distinfo	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,2 +1,2 @@
-SHA256 (transmission-2.73.tar.xz) = 7907f47f6eabf63f25ecc63b388f2abd4ac82f61d7d827657681ec36ff1507f6
-SIZE (transmission-2.73.tar.xz) = 2947316
+SHA256 (transmission-2.75.tar.xz) = 2869f9a5c1202fa1b65dbf60ffae9e4cad7d6e2fff0de55416a761e60d894a66
+SIZE (transmission-2.75.tar.xz) = 2986844

Modified: head/net-p2p/transmission-cli/files/patch-fix_without_ipv6
==============================================================================
--- head/net-p2p/transmission-cli/files/patch-fix_without_ipv6	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission-cli/files/patch-fix_without_ipv6	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,11 +1,11 @@
---- libtransmission/fdlimit.c.orig	2011-02-27 15:34:55.000000000 -0600
-+++ libtransmission/fdlimit.c	2011-02-27 15:35:12.000000000 -0600
-@@ -609,7 +609,7 @@
+--- libtransmission/fdlimit.c.orig	2012-12-16 19:44:18.727049000 +0000
++++ libtransmission/fdlimit.c	2012-12-30 16:50:41.605049278 +0000
+@@ -678,7 +678,7 @@
  
-     if( gFd->socket_count < session->peerLimit )
-         if(( s = socket( domain, type, 0 )) < 0 )
--            if( sockerrno != EAFNOSUPPORT )
-+            if( sockerrno != EPROTONOSUPPORT )
-                 tr_err( _( "Couldn't create socket: %s" ), tr_strerror( sockerrno ) );
+     if (gFd->peerCount < session->peerLimit)
+         if ((s = socket (domain, type, 0)) < 0)
+-            if (sockerrno != EAFNOSUPPORT)
++            if (sockerrno != EPROTONOSUPPORT)
+                 tr_err (_("Couldn't create socket: %s"), tr_strerror (sockerrno));
  
-     if( s > -1 )
+     if (s > -1)

Modified: head/net-p2p/transmission-daemon/Makefile
==============================================================================
--- head/net-p2p/transmission-daemon/Makefile	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission-daemon/Makefile	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,11 +1,7 @@
-# New ports collection makefile for:	transmission-daemon
-# Date created:				08 February 2008
-# Whom:					Mezz <mezz@FreeBSD.org>
-#
+# Created by: Mezz <mezz@FreeBSD.org>
 # $FreeBSD$
-#
 
-PORTREVISION=	1
+PORTREVISION=	0
 PKGNAMESUFFIX=	-daemon
 
 MAINTAINER=	crees@FreeBSD.org

Modified: head/net-p2p/transmission-gtk2/Makefile
==============================================================================
--- head/net-p2p/transmission-gtk2/Makefile	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission-gtk2/Makefile	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	transmission-gtk2
-# Date created:				11 February 2006
-# Whom:					Mezz <mezz@FreeBSD.org>
-#
+# Created by: Mezz <mezz@FreeBSD.org>
 # $FreeBSD$
-#
 
 PKGNAMESUFFIX=	-gtk2
 

Modified: head/net-p2p/transmission-qt4/Makefile
==============================================================================
--- head/net-p2p/transmission-qt4/Makefile	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission-qt4/Makefile	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	transmission-qt4
-# Date created:				23 October 2010
-# Whom:					Mezz <mezz@FreeBSD.org>
-#
+# Created by: Mezz <mezz@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 PKGNAMESUFFIX=	-qt4

Modified: head/net-p2p/transmission/Makefile
==============================================================================
--- head/net-p2p/transmission/Makefile	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/net-p2p/transmission/Makefile	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	transmission
-# Date created:				08 October 2005
-# Whom:					Mezz <mezz@FreeBSD.org>
-#
+# Created by: Mezz <mezz@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	transmission
-PORTVERSION=	2.73
+PORTVERSION=	2.75
 CATEGORIES=	net-p2p
 MASTER_SITES=	# empty
 DISTFILES=	# empty

Modified: head/www/transmission-web/Makefile
==============================================================================
--- head/www/transmission-web/Makefile	Mon Dec 31 12:00:21 2012	(r309725)
+++ head/www/transmission-web/Makefile	Mon Dec 31 12:00:21 2012	(r309726)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	transmission-web
-# Date created:				14 July 2008
-# Whom:					Mezz <mezz@FreeBSD.org>
-#
+# Created by: Mezz <mezz@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTREVISION=	0
 CATEGORIES=	www net-p2p
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"